{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<} UNIT List2Data; {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}


{***************************************************************************
 *                                                                         *
 *   Author     : Charlie Wiederhold                                       *
 *   Date       : January 7, 1996                                          *
 *   SSN        : 459-89-8302                                              *
 *   TA         : Gooty                                                    *
 *   TA Section : Wed. 3:00 - 4:00                                         *
 *   Assignment : Program 1 Inventory Tracker - UNIT List2Data             *
 *                                                                         *
 ***************************************************************************}


{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} INTERFACE {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}

TYPE
  ListElementType = RECORD
                      Position  : Integer;
                      FileName  : STRING;
                    END; {* ListElementType *}

  RelationType    = (Less, Greater, Equal); {* Used in Compare      *}

{***************************************************************************}
FUNCTION CompareName
  (Item1,
   Item2 : ListElementType) : RelationType;
  {* Purpose : To compare two strings and determine their relation *}
  {*     Pre : Item1 and Item2 have not been compared              *}
  {*    Post : Item1 and Item2 have been compared and that value   *}
  {*           is returned to calling routine                      *}

{***************************************************************************}
FUNCTION ComparePos
  (Item1,
   Item2 : ListElementType) : RelationType;
  {* Purpose : To compare two strings and determine their relation *}
  {*     Pre : Item1 and Item2 have not been compared              *}
  {*    Post : Item1 and Item2 have been compared and that value   *}
  {*           is returned to calling routine                      *}

{***************************************************************************}


{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<} IMPLEMENTATION {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}


{***************************************************************************}
FUNCTION CompareName
  (Item1,
   Item2 : ListElementType) : RelationType;
  {*     Pre : Item1 and Item2 have not been compared              *}
  {*    Post : Item1 and Item2 have been compared and that value   *}
  {*           is returned to calling routine                      *}

BEGIN {* Compare *}

  IF Item1.FileName < Item2.FileName THEN
      CompareName := Less
    ELSE IF Item1.FileName > Item2.FileName THEN
      CompareName := Greater
    ELSE CompareName := Equal;

END; {* Compare *}

{***************************************************************************}
FUNCTION ComparePos
  (Item1,
   Item2 : ListElementType) : RelationType;
  {*     Pre : Item1 and Item2 have not been compared              *}
  {*    Post : Item1 and Item2 have been compared and that value   *}
  {*           is returned to calling routine                      *}

BEGIN {* Compare *}

  IF Item1.Position < Item2.Position THEN
      ComparePos := Less
    ELSE IF Item1.Position > Item2.Position THEN
      ComparePos := Greater
    ELSE ComparePos := Equal;

END; {* Compare *}

{***************************************************************************}

END. {* List2Data *}
